﻿@model CarRental.Core.Models.Booking

@{
    ViewData["Title"] = "Details";
}

<div class="car-wrap car-wrapper rounded ftco-animate mt-3 mb-3">
	<div class="row blog_1 mb-5">
		<div class="col-md-6">
			<div class="car-wrap rounded ftco-animate m-2">
				<div id="carouselExampleIndicators2" class="carousel slide"
					 data-ride="carousel">
					<ol class="carousel-indicators">
						<li data-target="#carouselExampleIndicators2" data-slide-to="0"
							class="active"></li>
						<li data-target="#carouselExampleIndicators2" data-slide-to="1"></li>
						<li data-target="#carouselExampleIndicators2" data-slide-to="2"></li>
						<li data-target="#carouselExampleIndicators2" data-slide-to="3"></li>
					</ol>
					<div class="carousel-inner">
						<div class="carousel-item active">
							<img class="d-block w-100 rounded" src="@ViewBag.CarDetails.CarImage.FrontImg"
								 alt="First slide">
						</div>
						<div class="carousel-item">
							<img class="d-block w-100 rounded" src="@ViewBag.CarDetails.CarImage.BackImg"
								 alt="Second slide">
						</div>
						<div class="carousel-item">
							<img class="d-block w-100 rounded" src="@ViewBag.CarDetails.CarImage.LeftImg"
								 alt="Third slide">
						</div>
						<div class="carousel-item">
							<img class="d-block w-100 rounded" src="@ViewBag.CarDetails.CarImage.RightImg"
								 alt="Fourth slide">
						</div>
					</div>
					<a class="carousel-control-prev" href="#carouselExampleIndicators2"
					   role="button"
					   data-slide="prev">
						<span class="carousel-control-prev-icon" aria-hidden="true"></span>
						<span class="sr-only">Previous</span>
					</a>
					<a class="carousel-control-next" href="#carouselExampleIndicators2"
					   role="button"
					   data-slide="next">
						<span class="carousel-control-next-icon" aria-hidden="true"></span>
						<span class="sr-only">Next</span>
					</a>
				</div>
			</div>
		</div>
		<div class="col-md-6" style="color: black;">
			<div class="card-title mt-2">
				<h2>@ViewBag.CarDetails.CarName</h2>
			</div>
			<div class="model_pg1i clearfix">
				<div class="model_m clearfix border-top-0">
					<div class="model_pg1i2 row">
						<div class="col-md-12 col-sm-12">
							<div class="model_pg1i2r">
								<ul style="list-style-type: none">
									<li class="mb-0 fw-bolder">From: @Model.StartDateTime</li>
									<li class="mb-0 fw-bolder">To: @Model.EndDateTime</li>
								</ul>
							</div>
						</div>
					</div>
				</div>
				<div class="model_m clearfix border-top-0">
					<div class="model_pg1i2 row">
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2r">
								<label class="mb-0 fw-bolder">Number of days: </label>
							</div>
						</div>
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2l">
									<span>@Model.NumberOfDays</span>
							</div>
						</div>
					</div>
				</div>
				<div class="model_m clearfix border-top-0 mt-3">
					<div class="model_pg1i2 row">
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2r">
								<label class="mb-0 fw-bolder">Base price:</label>
							</div>
						</div>
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2l">
									<span class="price">@string.Format("{0:N0} VND", Model.BasePrice)/day</span>
							</div>
						</div>
					</div>
				</div>
				<div class="model_m clearfix border-top-0 mt-3">
					<div class="model_pg1i2 row">
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2r">
								<label class="mb-0 fw-bolder">Total:</label>
							</div>
						</div>
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2l">
									<span class="price">@string.Format("{0:N0} VND", Model.NumberOfDays * Model.BasePrice)</span>
							</div>
						</div>
					</div>
				</div>
				<div class="model_m clearfix border-top-0 mt-3">
					<div class="model_pg1i2 row">
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2r">
								<label class="mb-0 fw-bolder">Deposit:</label>
							</div>
						</div>
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2l">
								<span class="price">@string.Format("{0:N0} VND", Model.Deposit)</span>
							</div>
						</div>
					</div>
				</div>
				<div class="model_m clearfix border-top-0 mt-3">
					<div class="model_pg1i2 row">
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2r">
								<label class="mb-0 fw-bolder">Booking No.:</label>
							</div>
						</div>
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2l">
								<span>
									<strong>
										@Model.BookingNo
											</strong>
								</span>
							</div>
						</div>
					</div>
				</div>
				<div class="model_m clearfix border-top-0 mt-3">
					<div class="model_pg1i2 row">
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2r">
								<label class="mb-0 fw-bolder">Booking status:</label>
							</div>
						</div>
						<div class="col-md-6 col-sm-6">
							<div class="model_pg1i2l">
									@if (Model.Status == "1")
									{
										<span class="booking-confirmed  fw-bold">
											 Confirmed
										</span>
									}
									else if (Model.Status == "2")
									{
										<span class="booking-in-progress fw-bold">
											In-progress
										</span>
									}
									else if (Model.Status == "3")
									{
										<span class="booking-completed fw-bold">
											Completed
										</span>
									}
									else if (Model.Status == "4")
									{
										<span class="booking-cancelled fw-bold">
											Cancelled
										</span>
									}
									<span class="text-success fw-bold"></span>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	@if (Model.Status == "1") {
		
	<div class="row">
		<div class="col-md-12 pills">
			<div class="bd-example bd-example-tabs">
				<div class="d-flex justify-content-center">
					<ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
						<li class="nav-item">
							<a class="nav-link active" id="pills-description-tab"
							   data-toggle="pill"
							   href="#pills-description" role="tab"
							   aria-controls="pills-description"
							   aria-expanded="true">Booking Information</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" id="pills-manufacturer-tab" data-toggle="pill"
							   href="#pills-manufacturer" role="tab"
							   aria-controls="pills-manufacturer"
							   aria-expanded="true">Car Information</a>
						</li>
					</ul>
				</div>
				<div class="tab-content" id="pills-tabContent">
					<div class="tab-pane fade show active" id="pills-description"
						 role="tabpanel"
						 aria-labelledby="pills-description-tab">
						<form class="needs-validation" novalidate>
							<h4><b>Renter's Information</b></h4>
							<div class="form-row mb-3">
								<div class="col-md-6">
									<label for="validationCustom01">
										Full Name
									</label>
									<input type="text"
										   class="form-control"
										   id="validationCustom01"
											   placeholder="full name" value="@Model.RenterFullname" required>
									<div class="invalid-feedback">
										Please provide a valid full name
									</div>
								</div>
								<div class="col-md-6">
									<label for="validationCustom02">
										Date of Birthday
									</label>
										<input type="date" class="form-control" id="renterDob" name="RenterDob" asp-for="RenterDob" value="@Model.RenterDob" required />
									<div class="invalid-feedback">
										Please provide a valid date of Birthday.
									</div>
								</div>
							</div>
							<div class="form-row mb-3">
								<div class="col-md-6">
									<label for="validationCustom03">
										Phone Number
									</label>
									<input type="text"
										   class="form-control"
										   id="validationCustom03"
										   placeholder="Phone Number"
											   value="@Model.RenterPhoneNumber"
										   required>
									<div class="invalid-feedback">
										Please provide a valid Phone Number
									</div>
								</div>
								<div class="col-md-6">
									<label for="validationCustom04">
										Email Address
									</label>
									<input type="email"
										   class="form-control"
										   id="validationCustom04"
										   placeholder="Email Address"
										   value="@Model.RenterEmail"
										   required>
									<div class="invalid-feedback">
										Please provide a valid Email Address.
									</div>
								</div>
							</div>
							<div class="form-row mb-5">
								<div class="col-md-6">
									<label for="validationCustom05">
										National Id No.
									</label>
									<input type="text"
										   class="form-control"
										   id="validationCustom05"
										   placeholder="National Id No" value="@Model.RenterNationIdNumber"
										   required>
									<div class="invalid-feedback">
										Please provide a valid
										National Id No
									</div>
								</div>
								<div class="col-md-6">
									<label for="validationCustom05">
										Driving License:
									</label>
										@if (string.IsNullOrEmpty(Model.Account.DrivingLicense))
										{
											<p>Renter have not a Driving License</p>
										}
										else
										{
											<img src="@Url.Content(Model.Account.DrivingLicense)" class="w-100 rounded" />
										}
										<div class="invalid-feedback">
										Please provide a valid Driving License
									</div>
								</div>
							</div>
							<label>Address: </label>
							<div class="row mb-3">
								<div class="col-md-12">
										<select id="cityDropdown" name="RenterAddress.City"
											class="custom-select custom-select-lg mb-3"
											style="width: 50%;">
											@if(Model.RenterAddress == null)
											{
												<option selected>City</option>
											}
											else
											{
												<option selected value="@Model.RenterAddress.City">@Model.RenterAddress.City</option>
											}
											
									</select>
									<div class="invalid-feedback">
									</div>
								</div>
								<div class="col-md-12">
										<select id="districtDropdown" name="RenterAddress.District"
											class="custom-select custom-select-lg mb-3"
											style="width: 50%;">
											@if (Model.RenterAddress == null)
											{
												<option selected>District</option>
											}
											else
											{
												<option selected value="@Model.RenterAddress.District">@Model.RenterAddress.District</option>
											}
									</select>
									<div class="invalid-feedback">
									</div>
								</div>
								<div class="col-md-12">
										<select id="wardDropdown" name="RenterAddress.Ward"
											class="custom-select custom-select-lg mb-3"
											style="width: 50%;">
											@if (Model.RenterAddress == null)
											{
												<option selected>Ward</option>
											}
											else
											{
												<option selected value="@Model.RenterAddress.Ward">@Model.RenterAddress.Ward</option>
											}
									</select>
									<div class="invalid-feedback">
									</div>
								</div>
								<div class="col-md-12">
									<label for="validationCustom07">
										House number, Street
									</label>
									<input type="text" class="form-control" value="@Model.RenterSpecificAddress" name="RenterAddress.SpecificAddress" id="validationCustom07" required style="width: 50%;">
									<div class="invalid-feedback">
									</div>
								</div>
							</div>
							<h4><b>Driver's Information</b></h4>
							<div id="driverInfo">
								<div class="form-row mb-3">
									<div class="col-md-6">
										<label for="validationCustom08">
											Full name
										</label>
										<input type="text" class="form-control" value="@Model.DriverFullname" id="validationCustom08" name="DriverFullname">
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-6">
										<label for="validationCustom09">
											Date of birth
										</label>
											<input type="date" class="form-control" id="renterDob" name="DriverDob" asp-for="DriverDob" value="@Model.DriverDob" required />
										<div class="invalid-feedback">
										</div>
									</div>
								</div>
								<div class="form-row mb-3">
									<div class="col-md-6">
										<label for="validationCustom10">
											Phone Number
										</label>
										<input type="text" class="form-control" value="@Model.DriverPhoneNumber" id="validationCustom10" name="DriverPhoneNumber">
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-6">
										<label for="validationCustom11">
											Email Address
										</label>
										<input type="email" class="form-control" value="@Model.DriverEmail" id="validationCustom11" name="DriverEmail">
										<div class="invalid-feedback">
										</div>
									</div>
								</div>
								<div class="form-row mb-5">
									<div class="col-md-6">
										<label for="validationCustom12">
											National Id No.
										</label>
										<input type="text" class="form-control" value="@Model.DriverNationIdNumber" id="validationCustom12" name="DriverNationIdNumber">
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-6">
										<label for="validationCustom13">
											Driving License:
										</label>
											@if (string.IsNullOrEmpty(Model.Account.DrivingLicense))
											{
												<p>Driver have not a Driving License</p>
											}
											else
											{
												<img src="@Url.Content(Model.Account.DrivingLicense)" class="w-100 rounded" />
											}
										<div class="invalid-feedback">
										</div>
									</div>
								</div>
								<label>Address: </label>
								<div class="row mb-3">
									<div class="col-md-12">
											<select id="cityDropdownDriver" name="DriverAddress.City"
												class="custom-select custom-select-lg mb-3"
												style="width: 50%;">
												@if (Model.DriverAddress == null)
												{
													<option selected>City</option>
												}
												else
												{
													<option selected value="@Model.DriverAddress.City">@Model.DriverAddress.City</option>
												}
										</select>
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-12">
											<select id="districtDropdownDriver" name="DriverAddress.District"
												class="custom-select custom-select-lg mb-3"
												style="width: 50%;">
												@if (Model.DriverAddress == null)
												{
													<option selected>District</option>
												}
												else
												{
													<option selected value="@Model.DriverAddress.District">@Model.DriverAddress.District</option>
												}
										</select>
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-12">
											<select id="wardDropdownDriver" name="DriverAddress.Ward"
												class="custom-select custom-select-lg mb-3"
												style="width: 50%;">
												@if (Model.DriverAddress == null)
												{
													<option selected>Ward</option>
												}
												else
												{
													<option selected value="@Model.DriverAddress.Ward">@Model.DriverAddress.Ward</option>
												}
										</select>
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-12">
										<label for="validationCustom14">
											House number, Street
										</label>
										<input type="text" class="form-control" value="@Model.DriverSpecificAddress" id="validationCustom14" name="DriverSpecificAddress" required style="width: 50%;">
										<div class="invalid-feedback">
										</div>
									</div>
								</div>
							</div>
							<div class="button-group d-flex justify-content-center ">
								<button type="button" class="btn btn-outline-secondary mr-2">Discard</button>
								<button class="btn btn-primary pl-4 pr-4" type="submit">Save</button>
							</div>
						</form>
					</div>

					<div class="tab-pane fade" id="pills-manufacturer" role="tabpanel"
						 aria-labelledby="pills-manufacturer-tab">
						<div class="row" style="color: black;">
							<div class="col-md-6 mb-3">
								<div>
									<span><b>License plate: @ViewBag.CarDetails.LicensePlate</b></span>
								</div>
							</div>
							<div class="col-md-6 mb-3">
								<div>
									<span><b>Color: @ViewBag.CarDetails.Color.ColorName</b></span>
								</div>
							</div>
							<div class="col-md-6 mb-3">
								<div>
									<span><b>Brand name: @ViewBag.CarDetails.BrandModel.Brand</b></span>
								</div>
							</div>
							<div class="col-md-6 mb-3">
								<div>
									<span><b>Model: @ViewBag.CarDetails.BrandModel.Model</b></span>
								</div>
							</div>
							<div class="col-md-6 mb-3">
								<div>
										<span><b>Production year: @ViewBag.CarDetails.ProductionYears</b></span>
								</div>
							</div>
							<div class="col-md-6 mb-3">
								<div>
										<span><b>No. of seats: @ViewBag.CarDetails.NumberOfSeats</b></span>
								</div>
							</div>
							<div class="col-md-6 mb-3">
								<div>
										<span><b>Transmission: @ViewBag.CarDetails.TransmissionType</b></span>
								</div>
							</div>
							<div class="col-md-6 mb-3">
								<div>
									<span><b>Fuel:  @ViewBag.CarDetails.FuelType</b></span>
								</div>
							</div>
						</div>
						<div class="row" style="color: black;">
							<div class="col-md-7">
								<div>
									<span><b>Documents: </b></span>
								</div>
								<table class="table table-striped">
									<thead>
										<tr>
											<th scope="col">No</th>
											<th scope="col">Name</th>
											<th scope="col">Note</th>
											<th scope="col">Link</th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<th scope="row">1</th>
											<td>Registration paper</td>
											@if (Model.Car.CarImage.Registration != null)
											{
												<td>Verified</td>
												<td>
													<a class="d-block w-75"
													   href="@Url.Content(Model.Car.CarImage.Registration)"
													   target="_blank">
														Registration.pdf
													</a>
												</td>
											}
											else
											{
												<td>Not Available</td>
												<td>
													Not Available
												</td>
											}

										</tr>
										<tr>
											<th scope="row">2</th>
											<td>Certificate of inspection</td>
											@if (Model.Car.CarImage.CertificateImg != null)
											{
												<td>Verified</td>
												<td>
													<a class="d-block w-75"
													   href="@Url.Content(Model.Car.CarImage.CertificateImg)"
													   target="_blank">
														CertificateOfInspection.pdf
													</a>
												</td>
											}
											else
											{
												<td>Not Available</td>
												<td>
													Not Available
												</td>
											}

										</tr>
										<tr>
											<th scope="row">3</th>
											<td>Insurance</td>
											@if (Model.Car.CarImage.InsuranceImg != null)
											{
												<td>Verified</td>
												<td>
													<a class="d-block w-75"
													   href="@Url.Content(Model.Car.CarImage.InsuranceImg)"
													   target="_blank">
														Insurance.pdf
													</a>
												</td>
											}
											else
											{
												<td>Not Available</td>
												<td>
													Not Available
												</td>
											}

										</tr>
									</tbody>
								</table>
							</div>
						</div>
						<div class="row" style="color: black;">
							<div class="col-md-7">
								<div class="mb-3">
										<span><b>Mileage: @ViewBag.CarDetails.Mileage</b></span>
								</div>
								<div class="mb-3">
									<span><b>Fuel consumption: @ViewBag.CarDetails.FuelConsumption</b></span>
								</div>
								<div class="mb-3">
									<span><b>Address: @string.Format($"{@ViewBag.CarDetails.Address.Ward}, {@ViewBag.CarDetails.Address.District}, {@ViewBag.CarDetails.Address.City}")</b></span>
								</div>
							</div>
						</div>
						<div class="row" style="color: black;">
							<div class="col-md-12">
								<div class="mb-3">
									<span><b>Description: </b></span>
								</div>
								<div class="mb-3">
									<span>
										@ViewBag.CarDetails.Description
									</span>
								</div>
							</div>
						</div>
						<div class="row" style="color: black;">
							<div class="col-md-12 mb-3">
								<span><b>Additional function: </b></span>
							</div>
								
						</div>
						<div class="row text-center">
								<div class="col-md-4">
									<ul class="features">
										@if (Model.Car.AdditionalFunctions.Contains("bluetooth", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>Bluetooth</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>Bluetooth</li>
										}
										@if (Model.Car.AdditionalFunctions.Contains("gps", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>GPS</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>GPS</li>
										}

										@if (Model.Car.AdditionalFunctions.Contains("camera", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>Camera</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>Camera</li>
										}

									</ul>
								</div>
								<div class="col-md-4">
									<ul class="features">
										@if (Model.Car.AdditionalFunctions.Contains("Sun roof", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>Sun roof</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>Sun roof</li>
										}
										@if (Model.Car.AdditionalFunctions.Contains("Child lock", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>Child lock</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>Child lock</li>
										}
										@if (Model.Car.AdditionalFunctions.Contains("Child seat", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>Child seat</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>Child seat</li>
										}

									</ul>
								</div>
								<div class="col-md-4">
									<ul class="features">
										@if (Model.Car.AdditionalFunctions.Contains("DVD", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>DVD</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>DVD</li>
										}
										@if (Model.Car.AdditionalFunctions.Contains("USB", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>USB</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>USB</li>
										}

									</ul>
								</div>
							</div>
						<div class="row" style="color: black;">
							<div class="mb-3">
								<span><b>Terms of use </b></span>
							</div>
								
							</div><div class="row">
								<div class="col-md-6">
									<ul class="features">
										@if (Model.Car.TermsOfUse.Contains("No smoking", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>No smoking</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>No smoking</li>
										}
										@if (Model.Car.TermsOfUse.Contains("No pet", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>No pet</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>No pet</li>
										}

									</ul>
								</div>
								<div class="col-md-6">
									<ul class="features">
										@if (Model.Car.TermsOfUse.Contains("No food in car", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>No food in car</li>
										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>No food in car</li>
										}
										@if (Model.Car.TermsOfUse.Contains("Other", StringComparison.CurrentCultureIgnoreCase))
										{
											<li class="check"><span class="ion-ios-checkmark"></span>Other: @ViewBag.SpecificOther</li>

										}
										else
										{
											<li class="remove"><span class="ion-ios-close"></span>Other</li>
										}

									</ul>
								</div>
							</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	} else {
		<div class="row">
			<div class="col-md-12 pills">
				<div class="bd-example bd-example-tabs">
					<div class="d-flex justify-content-center">
					<ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
						<li class="nav-item">
							<a class="nav-link active" id="pills-description-tab"
						   data-toggle="pill"
							   href="#pills-description" role="tab"
						   aria-controls="pills-description"
						   aria-expanded="true">Booking Information</a>
						</li>
							<li class="nav-item">
							<a class="nav-link" id="pills-manufacturer-tab" data-toggle="pill"
						   href="#pills-manufacturer" role="tab"
						   aria-controls="pills-manufacturer"
							   aria-expanded="true">Car Information</a>
						</li>
					</ul>
				</div>
					<div class="tab-content" id="pills-tabContent">
					<div class="tab-pane fade show active" id="pills-description"
					 role="tabpanel"
					 aria-labelledby="pills-description-tab">
							<form class="needs-validation" novalidate>
							<h4><b>Renter's Information</b></h4>
							<div class="form-row mb-3">
								<div class="col-md-6">
									<label for="validationCustom01">
											Full Name
										</label>
										<input type="text"
										   class="form-control"
										   id="validationCustom01"
											   placeholder="full name" value="@Model.RenterFullname" required readonly>
										<div class="invalid-feedback">
											Please provide a valid full name
										</div>
									</div>
									<div class="col-md-6">
										<label for="validationCustom02">
											Date of Birthday
										</label>
										<input type="date"
										   class="form-control"
										   id="validationCustom02"
										   placeholder="Date of Birthday"
										   readonly
										   value="@Model.RenterDob"
										   required>
										<div class="invalid-feedback">
											Please provide a valid date of Birthday.
										</div>
									</div>
								</div>
								<div class="form-row mb-3">
									<div class="col-md-6">
										<label for="validationCustom03">
											Phone Number
										</label>
										<input type="text"
										   class="form-control"
										   id="validationCustom03"
										   placeholder="Phone Number"
										   readonly
											   value="@Model.RenterPhoneNumber"
										   required>
										<div class="invalid-feedback">
											Please provide a valid Phone Number
										</div>
									</div>
									<div class="col-md-6">
										<label for="validationCustom04">
											Email Address
										</label>
										<input type="email"
										   class="form-control"
										   readonly
										   id="validationCustom04"
										   placeholder="Email Address"
										   value="@Model.RenterEmail"
										   required>
										<div class="invalid-feedback">
											Please provide a valid Email Address.
										</div>
									</div>
								</div>
								<div class="form-row mb-5">
									<div class="col-md-6">
										<label for="validationCustom05">
											National Id No.
										</label>
										<input type="text"
										   class="form-control"
										   readonly
										   id="validationCustom05"
										   placeholder="National Id No" value="@Model.RenterNationIdNumber"
										   required>
										<div class="invalid-feedback">
											Please provide a valid
											National Id No
										</div>
									</div>
									<div class="col-md-6">
										<label for="validationCustom05">
											Driving License:
										</label>
										<input type="file"
										   class="form-control"
										   id="validationCustom05"
										   readonly
										   placeholder="Driving License"
										   required>
										<div class="invalid-feedback">
											Please provide a valid Driving License
										</div>
									</div>
								</div>
								<label>Address: </label>
								<div class="row mb-3">
									<div class="col-md-12">
										<select id="cityDropdown" name="RenterAddressCity"
											class="custom-select custom-select-lg mb-3"
											style="width: 50%;" disable>
											<option selectedz>City</option>
										</select>
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-12">
										<select id="districtDropdown" name="RenterAddressDistrict"
											class="custom-select custom-select-lg mb-3"
											style="width: 50%;" disable>
											<option selected>District</option>
										</select>
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-12">
										<select id="wardDropdown" name="RenterAddressWard"
											class="custom-select custom-select-lg mb-3"
											style="width: 50%;" disable>
											<option selected>Ward</option>
										</select>
										<div class="invalid-feedback">
										</div>
									</div>
									<div class="col-md-12">
										<label for="validationCustom07">
											House number, Street
										</label>
										<input type="text" class="form-control" value="@Model.RenterSpecificAddress" name="RenterAddress.SpecificAddress" id="validationCustom07" readonly required style="width: 50%;">
										<div class="invalid-feedback">
										</div>
									</div>
								</div>
								<h4><b>Driver's Information</b></h4>
								<div id="driverInfo">
									<div class="form-row mb-3">
										<div class="col-md-6">
											<label for="validationCustom08">
												Full name
											</label>
											<input type="text" class="form-control" value="@Model.DriverFullname" id="validationCustom08" readonly name="DriverFullname">
											<div class="invalid-feedback">
											</div>
										</div>
										<div class="col-md-6">
											<label for="validationCustom09">
												Date of birth
											</label>
											<input type="date" class="form-control" value="@Model.DriverDob" id="validationCustom09" readonly name="DriverDob">
											<div class="invalid-feedback">
											</div>
										</div>
									</div>
									<div class="form-row mb-3">
										<div class="col-md-6">
											<label for="validationCustom10">
												Phone Number
											</label>
											<input type="text" class="form-control" value="@Model.DriverPhoneNumber" id="validationCustom10" readonly name="DriverPhoneNumber">
											<div class="invalid-feedback">
											</div>
										</div>
										<div class="col-md-6">
											<label for="validationCustom11">
												Email Address
											</label>
											<input type="email" class="form-control" value="@Model.DriverEmail" id="validationCustom11" readonly name="DriverEmail">
											<div class="invalid-feedback">
											</div>
										</div>
									</div>
									<div class="form-row mb-5">
										<div class="col-md-6">
											<label for="validationCustom12">
												National Id No.
											</label>
											<input type="text" class="form-control" value="@Model.DriverNationIdNumber" id="validationCustom12" readonly name="DriverNationIdNumber">
											<div class="invalid-feedback">
											</div>
										</div>
										<div class="col-md-6">
											<label for="validationCustom13">
												Driving License:
											</label>
											<input type="file" class="form-control" id="validationCustom13" readonly name="DriverDrivingLicense">
											<div class="invalid-feedback">
											</div>
										</div>
									</div>
									<label>Address: </label>
									<div class="row mb-3">
										<div class="col-md-12">
											<select id="cityDropdownDriver" name="DriverAddressCity"
												class="custom-select custom-select-lg mb-3"
												style="width: 50%;" disable>
												<option selected>City</option>
											</select>
											<div class="invalid-feedback">
											</div>
										</div>
										<div class="col-md-12">
											<select id="districtDropdownDriver" name="DriverAddressDistrict"
												class="custom-select custom-select-lg mb-3"
												style="width: 50%;" disable>
												<option selected>District</option>
											</select>
											<div class="invalid-feedback">
											</div>
										</div>
										<div class="col-md-12">
											<select id="wardDropdownDriver" name="DriverAddressWard"
												class="custom-select custom-select-lg mb-3"
												style="width: 50%;" disable>
												<option selected>Ward</option>
											</select>
											<div class="invalid-feedback">
											</div>
										</div>
										<div class="col-md-12">
											<label for="validationCustom14">
												House number, Street
											</label>
											<input type="text" class="form-control" value="@Model.DriverSpecificAddress" id="validationCustom14" readonly name="DriverSpecificAddress" required style="width: 50%;">
											<div class="invalid-feedback">
											</div>
										</div>
									</div>
								</div>
							</form>
						</div>

						<div class="tab-pane fade" id="pills-manufacturer" role="tabpanel"
						 aria-labelledby="pills-manufacturer-tab">
							<div class="row" style="color: black;">
								<div class="col-md-6 mb-3">
									<div>
										<span><b>License plate: @ViewBag.CarDetails.LicensePlate</b></span>
									</div>
								</div>
								<div class="col-md-6 mb-3">
									<div>
										<span><b>Color: @ViewBag.CarDetails.Color.ColorName</b></span>
									</div>
								</div>
								<div class="col-md-6 mb-3">
									<div>
										<span><b>Brand name: @ViewBag.CarDetails.BrandModel.Brand</b></span>
									</div>
								</div>
								<div class="col-md-6 mb-3">
									<div>
										<span><b>Model: @ViewBag.CarDetails.BrandModel.Model</b></span>
									</div>
								</div>
								<div class="col-md-6 mb-3">
									<div>
											<span><b>Production year: @ViewBag.CarDetails.ProductionYears</b></span>
									</div>
								</div>
								<div class="col-md-6 mb-3">
									<div>
											<span><b>No. of seats: @ViewBag.CarDetails.NumberOfSeats</b></span>
									</div>
								</div>
								<div class="col-md-6 mb-3">
									<div>
											<span><b>Transmission: @ViewBag.CarDetails.TransmissionType</b></span>
									</div>
								</div>
								<div class="col-md-6 mb-3">
									<div>
										<span><b>Fuel:  @ViewBag.CarDetails.FuelType</b></span>
									</div>
								</div>
							</div>
							<div class="row" style="color: black;">
								<div class="col-md-7">
									<div>
										<span><b>Documents: </b></span>
									</div>
									<table class="table table-striped">
										<thead>
											<tr>
												<th scope="col">No</th>
												<th scope="col">Name</th>
												<th scope="col">Note</th>
												<th scope="col">Link</th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<th scope="row">1</th>
												<td>Registration paper</td>
												@if (Model.Car.CarImage.Registration != null)
												{
														<td>Verified</td>
														<td>
															<a class="d-block w-75"
													   href="@Url.Content(Model.Car.CarImage.Registration)"
													   target="_blank">
																Registration.pdf
															</a>
														</td>
												}
												else
												{
														<td>Not Available</td>
														<td>
															Not Available
														</td>
												}

											</tr>
											<tr>
												<th scope="row">2</th>
												<td>Certificate of inspection</td>
												@if (Model.Car.CarImage.CertificateImg != null)
												{
														<td>Verified</td>
														<td>
															<a class="d-block w-75"
													   href="@Url.Content(Model.Car.CarImage.CertificateImg)"
													   target="_blank">
																CertificateOfInspection.pdf
															</a>
														</td>
												}
												else
												{
														<td>Not Available</td>
														<td>
															Not Available
														</td>
												}

											</tr>
											<tr>
												<th scope="row">3</th>
												<td>Insurance</td>
												@if (Model.Car.CarImage.InsuranceImg != null)
												{
														<td>Verified</td>
														<td>
															<a class="d-block w-75"
													   href="@Url.Content(Model.Car.CarImage.InsuranceImg)"
													   target="_blank">
																Insurance.pdf
															</a>
														</td>
												}
												else
												{
														<td>Not Available</td>
														<td>
															Not Available
														</td>
												}

											</tr>
										</tbody>
									</table>
								</div>
							</div>
							<div class="row" style="color: black;">
								<div class="col-md-7">
									<div class="mb-3">
											<span><b>Mileage: @ViewBag.CarDetails.Mileage</b></span>
									</div>
									<div class="mb-3">
										<span><b>Fuel consumption: @ViewBag.CarDetails.FuelConsumption</b></span>
									</div>
									<div class="mb-3">
										<span><b>Address: @string.Format($"{@ViewBag.CarDetails.Address.Ward}, {@ViewBag.CarDetails.Address.District}, {@ViewBag.CarDetails.Address.City}")</b></span>
									</div>
								</div>
							</div>
							<div class="row" style="color: black;">
								<div class="col-md-12">
									<div class="mb-3">
										<span><b>Description: </b></span>
									</div>
									<div class="mb-3">
										<span>
											@ViewBag.CarDetails.Description
										</span>
									</div>
								</div>
							</div>
							<div class="row" style="color: black;">
								<div class="col-md-12 mb-3">
									<span><b>Additional function: </b></span>
								</div>
							</div>
							 <div class="row text-center">
                                <div class="col-md-4">
                                    <ul class="features">
                                        @if (Model.Car.AdditionalFunctions.Contains("Bluetooth", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                                <li class="check"><span class="ion-ios-checkmark"></span>Bluetooth</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Bluetooth</li>
                                        }
                                        @if (Model.Car.AdditionalFunctions.Contains("GPS", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>GPS</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>GPS</li>
                                        }
                                        @if (Model.Car.AdditionalFunctions.Contains("Camera", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Camera</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Camera</li>
                                        }
                                    </ul>
                                </div>
                                <div class="col-md-4">
                                    <ul class="features">
                                         @if (Model.Car.AdditionalFunctions.Contains("Sun roof", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Sun roof</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Sun roof</li>
                                        }
                                         @if (Model.Car.AdditionalFunctions.Contains("Child lock", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Child lock</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Child lock</li>
                                        }
                                         @if (Model.Car.AdditionalFunctions.Contains("Child seat", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Child seat</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Child seat</li>
                                        }
                                       
                                    </ul>
                                </div>
                                <div class="col-md-4">
                                    <ul class="features">
                                        @if (Model.Car.AdditionalFunctions.Contains("USB", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>USB</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>USB</li>
                                        }
                                        @if (Model.Car.AdditionalFunctions.Contains("DVD", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>DVD</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>DVD</li>
                                        }
                                    </ul>
                                </div>
                            </div>

							<div class="row" style="color: black;">
								<div class="mb-3">
									<span><b>Terms of use </b></span>
								</div>
								<div class="col-md-12 d-flex">
									<div class="col-md-4 mr-5" style="padding: 0;margin-left:30px">
										<div class=" align-items-center d-flex">
											@if (Model.Car.TermsOfUse.Contains("No smoking", StringComparison.CurrentCultureIgnoreCase))
											{
												<input type="checkbox" name="TermsOfUse" value="No smoking" checked disabled>
											}
											else
											{
												<input type="checkbox" name="TermsOfUse" value="No smoking" disabled>
											}
											<span class="me-4 d-block" style="margin-left: 10px;">
												No smoking
											</span>
										</div>
									</div>
									<div class="col-md-4 mr-5" style="padding: 0;">
										<div class=" align-items-center d-flex">
											@if (Model.Car.TermsOfUse.Contains("No food in car", StringComparison.CurrentCultureIgnoreCase))
											{
												<input type="checkbox" name="TermsOfUse" value="No food in car" checked disabled>
											}
											else
											{
												<input type="checkbox" name="TermsOfUse" value="No food in car" disabled>
											}
											<span class="me-4 d-block" style="margin-left: 10px;">
												No food in
												car
											</span>
										</div>
									</div>
								</div>
								<div class="col-md-12 d-flex">
									<div class="col-md-4 mr-5" style="padding: 0;margin-left:30px">
										<div class=" align-items-center d-flex">
											@if (Model.Car.TermsOfUse.Contains("No pet", StringComparison.CurrentCultureIgnoreCase))
											{
												<input type="checkbox" name="TermsOfUse" value="No pet" checked disabled>
											}
											else
											{
												<input type="checkbox" name="TermsOfUse" value="No pet" disabled>
											}
											<span class="me-4 d-block" style="margin-left: 10px;">No pet</span>
										</div>
									</div>
									<div class="col-md-4 mr-5" style="padding: 0;">
										<div class=" align-items-center d-flex">
											@if (Model.Car.TermsOfUse.Contains("Other", StringComparison.CurrentCultureIgnoreCase))
											{
												<input type="checkbox" name="TermsOfUse" value="Other" checked disabled>
												<span class="me-4 d-block" style="margin-left: 10px;">Other: @ViewBag.SpecificOther</span>
											}
											else
											{
												<input type="checkbox" name="TermsOfUse" value="Other" disabled>
												<span class="me-4 d-block" style="margin-left: 10px;">Other</span>
											}

										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	}
</div>

@section Css {
	<style>
		.car-wrap {
			margin-bottom: 0px !important;
		}

		.booking-confirmed {
			color: green;
		}

		.booking-in-progress {
			color: rgb(190, 164, 11);
		}

		.booking-pending {
			color: rgb(114, 114, 114);
		}

		.booking-cancelled {
			color: red;
		}

		.booking-completed {
			color: rgb(35, 77, 168);
		}
	</style>
}